/*
** Beaver's an Early AdVanced EditoR
** (C) 1999-2000 Marc Bevand, Damien Terrier and Emmanuel Turquin
**
** conf.h
**
** Author<s>:     Damien Terrier   (aka "mAd")   on vacation...
** Latest update: Sat Jun  3 00:50:08 2000
** Description:   Beaver preferences management source header
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef __CONF_H__
#define __CONF_H__

#include <glib.h>
#include "struct.h"

#define set_int_conf(Key, Int) set_conf (Key, "INT", Int)
#define set_bool_conf(Key, Bool) set_conf (Key, "BOOLEAN", Bool)

void set_string_conf (gchar *KeyToSet, gchar *ValueToSet);
void set_conf (gchar *KeyToSet, gchar* ValueType, gint ValueToSet);
gint get_int_conf (gchar *ValueToFind);
gboolean get_bool_conf (gchar *ValueToFind);
gchar *get_string_conf (gchar *ValueToFind);

/* You shouldn't need to use the following functions... */

t_content get_file_content (gchar *OpenedFile);
void set_file_content (gchar *FileName, t_content Content);
t_section_limits get_section_limits (t_content Content, gchar *FileName,
				     gchar *Section);
t_content set_string_value (t_section_limits SectionLimits,
			    gchar *KeyToSet, t_content Content,
			    gchar *ValueToSet);
t_content set_value (t_section_limits SectionLimits,
		     gchar *KeyToSet, t_content Content,
		     gchar *ValueType, gint ValueToSet);
gint get_int_value(t_section_limits SectionLimits,
		   gchar *ValueToFind, t_content Content);
gboolean get_bool_value(t_section_limits SectionLimits,
			gchar *ValueToFind, t_content Content);
gchar *get_string_value(t_section_limits SectionLimits,
			gchar *ValueToFind, t_content Content);

#endif
